/**
 * NameRepresentationUse.java
 *
 * File generated from the medication::NameRepresentationUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration NameRepresentationUse.
 *
 * 
 */

@XmlType(name = "NameRepresentationUse")
@XmlEnum
@XmlRootElement(name = "NameRepresentationUse")
public enum NameRepresentationUse {
	@XmlEnumValue("ABC")
	ABC("ABC"),
	@XmlEnumValue("IDE")
	IDE("IDE"),
	@XmlEnumValue("SYL")
	SYL("SYL");
	
	private final String value;

    NameRepresentationUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static NameRepresentationUse fromValue(String v) {
        for (NameRepresentationUse c: NameRepresentationUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}